curs_in_wch(3X)

NAME
in_wch, win_wch, mvin_wch, mvwin_wch - get a curses complex character from a window

SYNOPSIS
#include <curses.h>

int in_wch(cchar_t * wch);
int win_wch(WINDOW * win, cchar_t * wch);
int mvin_wch(int y, int x, cchar_t * wch);
int mvwin_wch(WINDOW * win, int y, int x, cchar_t * wch);

DESCRIPTION
win_wch copies the curses complex character at the cursor position in win into wch. Use getcchar(3X) to extract its character code, attributes, and color pair identifier. ncurses(3X) describes the variants of this function.

RETURN VALUE
These functions return OK on success and ERR on failure.

In ncurses, they return ERR if win is NULL.

Functions prefixed with “mv” first perform cursor movement and fail if the position (y, x) is outside the window boundaries.

NOTES
in_wch, mvin_wch, and mvwin_wch may be implemented as macros.

Unlike winch(3X), win_wch and its variants store the value of the retrieved character in an additional wch parameter instead of the return value.

PORTABILITY
X/Open Curses Issue 4 describes these functions. It specifies no error conditions for them.

HISTORY
X/Open Curses Issue 4 (1995) initially specified these functions. The System V Interface Definition Version 4 of the same year specified a function named winwch (and the usual variants). This was a later addition to SVr4.x, not appearing in the first SVr4 (1989). It differed from X/Open's later win_wch in that it returned a value of type chtype instead of cchar_t.

SEE ALSO
curs_inch(3X) describes comparable functions of the ncurses library in its non-wide-character configuration.

curses(3X), curs_inwstr(3X)